1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18# Copyright by The HDF Group.
19# Copyright by the Board of Trustees of the University of Illinois.
20# All rights reserved.
21#
22# This file is part of HDF5.  The full HDF5 copyright notice, including
23# terms governing use, modification, and redistribution, is contained in
24# the COPYING file, which can be found at the root of the source code
25# distribution tree, or in https://support.hdfgroup.org/ftp/HDF5/releases.
26# If you do not have access to either file, you may request a copy from
27# help@hdfgroup.org.
28#
29# HDF5 Library Makefile(.in)
30#
31VPATH = @srcdir@
32am__is_gnu_make = { \
33  if test -z '$(MAKELEVEL)'; then \
34    false; \
35  elif test -n '$(MAKE_HOST)'; then \
36    true; \
37  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
38    true; \
39  else \
40    false; \
41  fi; \
42}
43am__make_running_with_option = \
44  case $${target_option-} in \
45      ?) ;; \
46      *) echo "am__make_running_with_option: internal error: invalid" \
47              "target option '$${target_option-}' specified" >&2; \
48         exit 1;; \
49  esac; \
50  has_opt=no; \
51  sane_makeflags=$$MAKEFLAGS; \
52  if $(am__is_gnu_make); then \
53    sane_makeflags=$$MFLAGS; \
54  else \
55    case $$MAKEFLAGS in \
56      *\\[\ \	]*) \
57        bs=\\; \
58        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
59          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
60    esac; \
61  fi; \
62  skip_next=no; \
63  strip_trailopt () \
64  { \
65    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
66  }; \
67  for flg in $$sane_makeflags; do \
68    test $$skip_next = yes && { skip_next=no; continue; }; \
69    case $$flg in \
70      *=*|--*) continue;; \
71        -*I) strip_trailopt 'I'; skip_next=yes;; \
72      -*I?*) strip_trailopt 'I';; \
73        -*O) strip_trailopt 'O'; skip_next=yes;; \
74      -*O?*) strip_trailopt 'O';; \
75        -*l) strip_trailopt 'l'; skip_next=yes;; \
76      -*l?*) strip_trailopt 'l';; \
77      -[dEDm]) skip_next=yes;; \
78      -[JT]) skip_next=yes;; \
79    esac; \
80    case $$flg in \
81      *$$target_option*) has_opt=yes; break;; \
82    esac; \
83  done; \
84  test $$has_opt = yes
85am__make_dryrun = (target_option=n; $(am__make_running_with_option))
86am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
87pkgdatadir = $(datadir)/@PACKAGE@
88pkgincludedir = $(includedir)/@PACKAGE@
89pkglibdir = $(libdir)/@PACKAGE@
90pkglibexecdir = $(libexecdir)/@PACKAGE@
91am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
92install_sh_DATA = $(install_sh) -c -m 644
93install_sh_PROGRAM = $(install_sh) -c
94install_sh_SCRIPT = $(install_sh) -c
95INSTALL_HEADER = $(INSTALL_DATA)
96transform = $(program_transform_name)
97NORMAL_INSTALL = :
98PRE_INSTALL = :
99POST_INSTALL = :
100NORMAL_UNINSTALL = :
101PRE_UNINSTALL = :
102POST_UNINSTALL = :
103build_triplet = @build@
104host_triplet = @host@
105check_PROGRAMS = $(am__EXEEXT_1)
106TESTS = $(am__EXEEXT_1) $(TEST_SCRIPT)
107subdir = tools/test/h5import
108ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
109am__aclocal_m4_deps = $(top_srcdir)/m4/aclocal_cxx.m4 \
110	$(top_srcdir)/m4/aclocal_fc.m4 \
111	$(top_srcdir)/m4/ax_check_class.m4 \
112	$(top_srcdir)/m4/ax_check_classpath.m4 \
113	$(top_srcdir)/m4/ax_check_java_home.m4 \
114	$(top_srcdir)/m4/ax_check_junit.m4 \
115	$(top_srcdir)/m4/ax_java_options.m4 \
116	$(top_srcdir)/m4/ax_jni_include_dir.m4 \
117	$(top_srcdir)/m4/ax_prog_jar.m4 \
118	$(top_srcdir)/m4/ax_prog_java.m4 \
119	$(top_srcdir)/m4/ax_prog_java_works.m4 \
120	$(top_srcdir)/m4/ax_prog_javac.m4 \
121	$(top_srcdir)/m4/ax_prog_javac_works.m4 \
122	$(top_srcdir)/m4/ax_prog_javadoc.m4 \
123	$(top_srcdir)/m4/ax_try_compile_java.m4 \
124	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
125	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
126	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
127am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
128	$(ACLOCAL_M4)
129DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
130mkinstalldirs = $(install_sh) -d
131CONFIG_HEADER = $(top_builddir)/src/H5config.h \
132	$(top_builddir)/fortran/src/H5config_f.inc
133CONFIG_CLEAN_FILES = h5importtestutil.sh
134CONFIG_CLEAN_VPATH_FILES =
135am__EXEEXT_1 = h5importtest$(EXEEXT)
136h5importtest_SOURCES = h5importtest.c
137h5importtest_OBJECTS = h5importtest.$(OBJEXT)
138h5importtest_LDADD = $(LDADD)
139h5importtest_DEPENDENCIES = $(LIBH5TOOLS) $(LIBHDF5)
140AM_V_lt = $(am__v_lt_@AM_V@)
141am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
142am__v_lt_0 = --silent
143am__v_lt_1 =
144AM_V_P = $(am__v_P_@AM_V@)
145am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
146am__v_P_0 = false
147am__v_P_1 = :
148AM_V_GEN = $(am__v_GEN_@AM_V@)
149am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
150am__v_GEN_0 = @echo "  GEN     " $@;
151am__v_GEN_1 =
152AM_V_at = $(am__v_at_@AM_V@)
153am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
154am__v_at_0 = @
155am__v_at_1 =
156DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src -I$(top_builddir)/fortran/src
157depcomp = $(SHELL) $(top_srcdir)/bin/depcomp
158am__depfiles_maybe = depfiles
159am__mv = mv -f
160COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
161	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
162LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
163	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
164	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
165	$(AM_CFLAGS) $(CFLAGS)
166AM_V_CC = $(am__v_CC_@AM_V@)
167am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
168am__v_CC_0 = @echo "  CC      " $@;
169am__v_CC_1 =
170CCLD = $(CC)
171LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
172	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
173	$(AM_LDFLAGS) $(LDFLAGS) -o $@
174AM_V_CCLD = $(am__v_CCLD_@AM_V@)
175am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
176am__v_CCLD_0 = @echo "  CCLD    " $@;
177am__v_CCLD_1 =
178SOURCES = h5importtest.c
179DIST_SOURCES = h5importtest.c
180am__can_run_installinfo = \
181  case $$AM_UPDATE_INFO_DIR in \
182    n|no|NO) false;; \
183    *) (install-info --version) >/dev/null 2>&1;; \
184  esac
185am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
186# Read a list of newline-separated strings from the standard input,
187# and print each of them once, without duplicates.  Input order is
188# *not* preserved.
189am__uniquify_input = $(AWK) '\
190  BEGIN { nonempty = 0; } \
191  { items[$$0] = 1; nonempty = 1; } \
192  END { if (nonempty) { for (i in items) print i; }; } \
193'
194# Make sure the list of sources is unique.  This is necessary because,
195# e.g., the same source file might be shared among _SOURCES variables
196# for different programs/libraries.
197am__define_uniq_tagged_files = \
198  list='$(am__tagged_files)'; \
199  unique=`for i in $$list; do \
200    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
201  done | $(am__uniquify_input)`
202ETAGS = etags
203CTAGS = ctags
204am__tty_colors_dummy = \
205  mgn= red= grn= lgn= blu= brg= std=; \
206  am__color_tests=no
207am__tty_colors = { \
208  $(am__tty_colors_dummy); \
209  if test "X$(AM_COLOR_TESTS)" = Xno; then \
210    am__color_tests=no; \
211  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
212    am__color_tests=yes; \
213  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
214    am__color_tests=yes; \
215  fi; \
216  if test $$am__color_tests = yes; then \
217    red=''; \
218    grn=''; \
219    lgn=''; \
220    blu=''; \
221    mgn=''; \
222    brg=''; \
223    std=''; \
224  fi; \
225}
226am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
227am__vpath_adj = case $$p in \
228    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
229    *) f=$$p;; \
230  esac;
231am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
232am__install_max = 40
233am__nobase_strip_setup = \
234  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
235am__nobase_strip = \
236  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
237am__nobase_list = $(am__nobase_strip_setup); \
238  for p in $$list; do echo "$$p $$p"; done | \
239  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
240  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
241    if (++n[$$2] == $(am__install_max)) \
242      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
243    END { for (dir in files) print dir, files[dir] }'
244am__base_list = \
245  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
246  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
247am__uninstall_files_from_dir = { \
248  test -z "$$files" \
249    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
250    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
251         $(am__cd) "$$dir" && rm -f $$files; }; \
252  }
253am__recheck_rx = ^[ 	]*:recheck:[ 	]*
254am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
255am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
256# A command that, given a newline-separated list of test names on the
257# standard input, print the name of the tests that are to be re-run
258# upon "make recheck".
259am__list_recheck_tests = $(AWK) '{ \
260  recheck = 1; \
261  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
262    { \
263      if (rc < 0) \
264        { \
265          if ((getline line2 < ($$0 ".log")) < 0) \
266	    recheck = 0; \
267          break; \
268        } \
269      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
270        { \
271          recheck = 0; \
272          break; \
273        } \
274      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
275        { \
276          break; \
277        } \
278    }; \
279  if (recheck) \
280    print $$0; \
281  close ($$0 ".trs"); \
282  close ($$0 ".log"); \
283}'
284# A command that, given a newline-separated list of test names on the
285# standard input, create the global log from their .trs and .log files.
286am__create_global_log = $(AWK) ' \
287function fatal(msg) \
288{ \
289  print "fatal: making $@: " msg | "cat >&2"; \
290  exit 1; \
291} \
292function rst_section(header) \
293{ \
294  print header; \
295  len = length(header); \
296  for (i = 1; i <= len; i = i + 1) \
297    printf "="; \
298  printf "\n\n"; \
299} \
300{ \
301  copy_in_global_log = 1; \
302  global_test_result = "RUN"; \
303  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
304    { \
305      if (rc < 0) \
306         fatal("failed to read from " $$0 ".trs"); \
307      if (line ~ /$(am__global_test_result_rx)/) \
308        { \
309          sub("$(am__global_test_result_rx)", "", line); \
310          sub("[ 	]*$$", "", line); \
311          global_test_result = line; \
312        } \
313      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
314        copy_in_global_log = 0; \
315    }; \
316  if (copy_in_global_log) \
317    { \
318      rst_section(global_test_result ": " $$0); \
319      while ((rc = (getline line < ($$0 ".log"))) != 0) \
320      { \
321        if (rc < 0) \
322          fatal("failed to read from " $$0 ".log"); \
323        print line; \
324      }; \
325      printf "\n"; \
326    }; \
327  close ($$0 ".trs"); \
328  close ($$0 ".log"); \
329}'
330# Restructured Text title.
331am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
332# Solaris 10 'make', and several other traditional 'make' implementations,
333# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
334# by disabling -e (using the XSI extension "set +e") if it's set.
335am__sh_e_setup = case $$- in *e*) set +e;; esac
336# Default flags passed to test drivers.
337am__common_driver_flags = \
338  --color-tests "$$am__color_tests" \
339  --enable-hard-errors "$$am__enable_hard_errors" \
340  --expect-failure "$$am__expect_failure"
341# To be inserted before the command running the test.  Creates the
342# directory for the log if needed.  Stores in $dir the directory
343# containing $f, in $tst the test, in $log the log.  Executes the
344# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
345# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
346# will run the test scripts (or their associated LOG_COMPILER, if
347# thy have one).
348am__check_pre = \
349$(am__sh_e_setup);					\
350$(am__vpath_adj_setup) $(am__vpath_adj)			\
351$(am__tty_colors);					\
352srcdir=$(srcdir); export srcdir;			\
353case "$@" in						\
354  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
355    *) am__odir=.;; 					\
356esac;							\
357test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
358  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
359if test -f "./$$f"; then dir=./;			\
360elif test -f "$$f"; then dir=;				\
361else dir="$(srcdir)/"; fi;				\
362tst=$$dir$$f; log='$@'; 				\
363if test -n '$(DISABLE_HARD_ERRORS)'; then		\
364  am__enable_hard_errors=no; 				\
365else							\
366  am__enable_hard_errors=yes; 				\
367fi; 							\
368case " $(XFAIL_TESTS) " in				\
369  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
370    am__expect_failure=yes;;				\
371  *)							\
372    am__expect_failure=no;;				\
373esac; 							\
374$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
375# A shell command to get the names of the tests scripts with any registered
376# extension removed (i.e., equivalently, the names of the test logs, with
377# the '.log' extension removed).  The result is saved in the shell variable
378# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
379# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
380# since that might cause problem with VPATH rewrites for suffix-less tests.
381# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
382am__set_TESTS_bases = \
383  bases='$(TEST_LOGS)'; \
384  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
385  bases=`echo $$bases`
386RECHECK_LOGS = $(TEST_LOGS)
387AM_RECURSIVE_TARGETS = check recheck
388TEST_SUITE_LOG = test-suite.log
389LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
390LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
391am__set_b = \
392  case '$@' in \
393    */*) \
394      case '$*' in \
395        */*) b='$*';; \
396          *) b=`echo '$@' | sed 's/\.log$$//'`; \
397       esac;; \
398    *) \
399      b='$*';; \
400  esac
401am__test_logs1 = $(TESTS:=.log)
402am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
403TEST_LOGS = $(am__test_logs2:.sh.log=.log)
404SH_LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
405SH_LOG_COMPILE = $(SH_LOG_COMPILER) $(AM_SH_LOG_FLAGS) $(SH_LOG_FLAGS)
406am__DIST_COMMON = $(srcdir)/Makefile.in \
407	$(srcdir)/h5importtestutil.sh.in $(top_srcdir)/bin/depcomp \
408	$(top_srcdir)/bin/test-driver $(top_srcdir)/config/commence.am \
409	$(top_srcdir)/config/conclude.am
410DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
411ACLOCAL = @ACLOCAL@
412ADD_PARALLEL_FILES = @ADD_PARALLEL_FILES@
413AMTAR = @AMTAR@
414
415# H5_CFLAGS holds flags that should be used when building hdf5,
416# but which should not be exported to h5cc for building other programs.
417# AM_CFLAGS is an automake construct which should be used by Makefiles
418# instead of CFLAGS, as CFLAGS is reserved solely for the user to define.
419# This applies to FCFLAGS, CXXFLAGS, CPPFLAGS, and LDFLAGS as well.
420AM_CFLAGS = @AM_CFLAGS@ @H5_CFLAGS@
421
422# Include src and tools/lib directories
423AM_CPPFLAGS = @AM_CPPFLAGS@ @H5_CPPFLAGS@ -I$(top_srcdir)/src \
424	-I$(top_srcdir)/tools/lib
425AM_CXXFLAGS = @AM_CXXFLAGS@ @H5_CXXFLAGS@
426AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
427AM_FCFLAGS = @AM_FCFLAGS@ @H5_FCFLAGS@
428AM_JAVACFLAGS = @AM_JAVACFLAGS@
429AM_JAVAFLAGS = @AM_JAVAFLAGS@
430AM_JNIFLAGS = @AM_JNIFLAGS@
431AM_LDFLAGS = @AM_LDFLAGS@ @H5_LDFLAGS@
432AR = @AR@
433AR_FLAGS = @AR_FLAGS@
434ASSERTS = @ASSERTS@
435AUTOCONF = @AUTOCONF@
436AUTOHEADER = @AUTOHEADER@
437AUTOMAKE = @AUTOMAKE@
438AWK = @AWK@
439BUILD_MODE = @BUILD_MODE@
440BYTESEX = @BYTESEX@
441CC = @CC@
442CCDEPMODE = @CCDEPMODE@
443CC_VERSION = @CC_VERSION@
444CFLAGS = @CFLAGS@
445CODESTACK = @CODESTACK@
446CONFIG_DATE = @CONFIG_DATE@
447CONFIG_MODE = @CONFIG_MODE@
448CONFIG_USER = @CONFIG_USER@
449CPP = @CPP@
450CPPFLAGS = @CPPFLAGS@
451CXX = @CXX@
452CXXCPP = @CXXCPP@
453CXXDEPMODE = @CXXDEPMODE@
454CXXFLAGS = @CXXFLAGS@
455CXX_VERSION = @CXX_VERSION@
456CYGPATH_W = @CYGPATH_W@
457DEFAULT_API_VERSION = @DEFAULT_API_VERSION@
458DEFS = @DEFS@
459DEPDIR = @DEPDIR@
460DEPRECATED_SYMBOLS = @DEPRECATED_SYMBOLS@
461DEV_WARNINGS = @DEV_WARNINGS@
462DIRECT_VFD = @DIRECT_VFD@
463DLLTOOL = @DLLTOOL@
464DSYMUTIL = @DSYMUTIL@
465DUMPBIN = @DUMPBIN@
466ECHO_C = @ECHO_C@
467ECHO_N = @ECHO_N@
468ECHO_T = @ECHO_T@
469EGREP = @EGREP@
470EXEEXT = @EXEEXT@
471EXTERNAL_FILTERS = @EXTERNAL_FILTERS@
472
473# Make sure that these variables are exported to the Makefiles
474F9XMODEXT = @F9XMODEXT@
475F9XMODFLAG = @F9XMODFLAG@
476F9XSUFFIXFLAG = @F9XSUFFIXFLAG@
477FC = @FC@
478FCFLAGS = @FCFLAGS@
479FCFLAGS_f90 = @FCFLAGS_f90@
480FCLIBS = @FCLIBS@
481FC_VERSION = @FC_VERSION@
482FGREP = @FGREP@
483FORTRAN_C_LONG_DOUBLE_IS_UNIQUE = @FORTRAN_C_LONG_DOUBLE_IS_UNIQUE@
484FORTRAN_HAVE_C_LONG_DOUBLE = @FORTRAN_HAVE_C_LONG_DOUBLE@
485FSEARCH_DIRS = @FSEARCH_DIRS@
486Fortran_COMPILER_ID = @Fortran_COMPILER_ID@
487GREP = @GREP@
488H5CONFIG_F_IKIND = @H5CONFIG_F_IKIND@
489H5CONFIG_F_NUM_IKIND = @H5CONFIG_F_NUM_IKIND@
490H5CONFIG_F_NUM_RKIND = @H5CONFIG_F_NUM_RKIND@
491H5CONFIG_F_RKIND = @H5CONFIG_F_RKIND@
492H5CONFIG_F_RKIND_SIZEOF = @H5CONFIG_F_RKIND_SIZEOF@
493H5_CFLAGS = @H5_CFLAGS@
494H5_CLASSPATH = @H5_CLASSPATH@
495H5_CPPFLAGS = @H5_CPPFLAGS@
496H5_CXXFLAGS = @H5_CXXFLAGS@
497H5_FCFLAGS = @H5_FCFLAGS@
498H5_FORTRAN_SHARED = @H5_FORTRAN_SHARED@
499H5_JAVACFLAGS = @H5_JAVACFLAGS@
500H5_JAVAFLAGS = @H5_JAVAFLAGS@
501H5_JNIFLAGS = @H5_JNIFLAGS@
502H5_LDFLAGS = @H5_LDFLAGS@
503H5_VERSION = @H5_VERSION@
504HADDR_T = @HADDR_T@
505HAVE_DMALLOC = @HAVE_DMALLOC@
506HAVE_Fortran_INTEGER_SIZEOF_16 = @HAVE_Fortran_INTEGER_SIZEOF_16@
507HAVE_LIBHDFS = @HAVE_LIBHDFS@
508HAVE_PTHREAD = @HAVE_PTHREAD@
509HDF5_HL = @HDF5_HL@
510HDF5_INTERFACES = @HDF5_INTERFACES@
511HDF5_TESTS = @HDF5_TESTS@
512HDF5_TOOLS = @HDF5_TOOLS@
513HDF_CXX = @HDF_CXX@
514HDF_FORTRAN = @HDF_FORTRAN@
515HDF_JAVA = @HDF_JAVA@
516HID_T = @HID_T@
517HL = @HL@
518HL_FOR = @HL_FOR@
519HSIZE_T = @HSIZE_T@
520HSSIZE_T = @HSSIZE_T@
521INSTALL = @INSTALL@
522INSTALL_DATA = @INSTALL_DATA@
523INSTALL_PROGRAM = @INSTALL_PROGRAM@
524INSTALL_SCRIPT = @INSTALL_SCRIPT@
525INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
526INSTRUMENT_LIBRARY = @INSTRUMENT_LIBRARY@
527INTERNAL_DEBUG_OUTPUT = @INTERNAL_DEBUG_OUTPUT@
528JAR = @JAR@
529JAVA = @JAVA@
530JAVAC = @JAVAC@
531JAVACFLAGS = @JAVACFLAGS@
532JAVADOC = @JAVADOC@
533JAVAFLAGS = @JAVAFLAGS@
534JAVAPREFIX = @JAVAPREFIX@
535JAVA_JUNIT = @JAVA_JUNIT@
536JAVA_PATH_NAME = @JAVA_PATH_NAME@
537JAVA_VERSION = @JAVA_VERSION@
538JNIFLAGS = @JNIFLAGS@
539JNI_LDFLAGS = @JNI_LDFLAGS@
540JUNIT = @JUNIT@
541LARGE_PARALLEL_IO = @LARGE_PARALLEL_IO@
542LD = @LD@
543LDFLAGS = @LDFLAGS@
544LIBOBJS = @LIBOBJS@
545LIBS = @LIBS@
546LIBTOOL = @LIBTOOL@
547LIPO = @LIPO@
548LL_PATH = @LL_PATH@
549LN_S = @LN_S@
550LTLIBOBJS = @LTLIBOBJS@
551LT_STATIC_EXEC = @LT_STATIC_EXEC@
552LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
553MAINT = @MAINT@
554MAKEINFO = @MAKEINFO@
555MANIFEST_TOOL = @MANIFEST_TOOL@
556MEMORYALLOCSANITYCHECK = @MEMORYALLOCSANITYCHECK@
557MKDIR_P = @MKDIR_P@
558MPE = @MPE@
559NM = @NM@
560NMEDIT = @NMEDIT@
561OBJDUMP = @OBJDUMP@
562OBJECT_NAMELEN_DEFAULT_F = @OBJECT_NAMELEN_DEFAULT_F@
563OBJEXT = @OBJEXT@
564OPTIMIZATION = @OPTIMIZATION@
565OTOOL = @OTOOL@
566OTOOL64 = @OTOOL64@
567PACKAGE = @PACKAGE@
568PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
569PACKAGE_NAME = @PACKAGE_NAME@
570PACKAGE_STRING = @PACKAGE_STRING@
571PACKAGE_TARNAME = @PACKAGE_TARNAME@
572PACKAGE_URL = @PACKAGE_URL@
573PACKAGE_VERSION = @PACKAGE_VERSION@
574PAC_C_MAX_REAL_PRECISION = @PAC_C_MAX_REAL_PRECISION@
575PAC_FC_ALL_INTEGER_KINDS = @PAC_FC_ALL_INTEGER_KINDS@
576PAC_FC_ALL_INTEGER_KINDS_SIZEOF = @PAC_FC_ALL_INTEGER_KINDS_SIZEOF@
577PAC_FC_ALL_REAL_KINDS = @PAC_FC_ALL_REAL_KINDS@
578PAC_FC_ALL_REAL_KINDS_SIZEOF = @PAC_FC_ALL_REAL_KINDS_SIZEOF@
579PAC_FC_MAX_REAL_PRECISION = @PAC_FC_MAX_REAL_PRECISION@
580PAC_FORTRAN_NATIVE_DOUBLE_KIND = @PAC_FORTRAN_NATIVE_DOUBLE_KIND@
581PAC_FORTRAN_NATIVE_DOUBLE_SIZEOF = @PAC_FORTRAN_NATIVE_DOUBLE_SIZEOF@
582PAC_FORTRAN_NATIVE_INTEGER_KIND = @PAC_FORTRAN_NATIVE_INTEGER_KIND@
583PAC_FORTRAN_NATIVE_INTEGER_SIZEOF = @PAC_FORTRAN_NATIVE_INTEGER_SIZEOF@
584PAC_FORTRAN_NATIVE_REAL_KIND = @PAC_FORTRAN_NATIVE_REAL_KIND@
585PAC_FORTRAN_NATIVE_REAL_SIZEOF = @PAC_FORTRAN_NATIVE_REAL_SIZEOF@
586PAC_FORTRAN_NUM_INTEGER_KINDS = @PAC_FORTRAN_NUM_INTEGER_KINDS@
587PARALLEL = @PARALLEL@
588PARALLEL_FILTERED_WRITES = @PARALLEL_FILTERED_WRITES@
589PATH_SEPARATOR = @PATH_SEPARATOR@
590PREADWRITE = @PREADWRITE@
591PROFILING = @PROFILING@
592RANLIB = @RANLIB@
593ROOT = @ROOT@
594ROS3_VFD = @ROS3_VFD@
595RUNPARALLEL = @RUNPARALLEL@
596RUNSERIAL = @RUNSERIAL@
597R_INTEGER = @R_INTEGER@
598R_LARGE = @R_LARGE@
599SEARCH = @SEARCH@
600SED = @SED@
601SET_MAKE = @SET_MAKE@
602SHELL = @SHELL@
603SIZE_T = @SIZE_T@
604STATIC_EXEC = @STATIC_EXEC@
605STATIC_SHARED = @STATIC_SHARED@
606STRICT_FORMAT_CHECKS = @STRICT_FORMAT_CHECKS@
607STRIP = @STRIP@
608SYMBOLS = @SYMBOLS@
609TESTPARALLEL = @TESTPARALLEL@
610TESTS_JUNIT = @TESTS_JUNIT@
611THREADSAFE = @THREADSAFE@
612TIME = @TIME@
613TR = @TR@
614TRACE_API = @TRACE_API@
615UNAME_INFO = @UNAME_INFO@
616USE_FILTER_DEFLATE = @USE_FILTER_DEFLATE@
617USE_FILTER_SZIP = @USE_FILTER_SZIP@
618USINGMEMCHECKER = @USINGMEMCHECKER@
619VERSION = @VERSION@
620WORDS_BIGENDIAN = @WORDS_BIGENDIAN@
621_ACJNI_JAVAC = @_ACJNI_JAVAC@
622abs_builddir = @abs_builddir@
623abs_srcdir = @abs_srcdir@
624abs_top_builddir = @abs_top_builddir@
625abs_top_srcdir = @abs_top_srcdir@
626ac_ct_AR = @ac_ct_AR@
627ac_ct_CC = @ac_ct_CC@
628ac_ct_CXX = @ac_ct_CXX@
629ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
630ac_ct_FC = @ac_ct_FC@
631am__include = @am__include@
632am__leading_dot = @am__leading_dot@
633am__quote = @am__quote@
634am__tar = @am__tar@
635am__untar = @am__untar@
636bindir = @bindir@
637build = @build@
638build_alias = @build_alias@
639build_cpu = @build_cpu@
640build_os = @build_os@
641build_vendor = @build_vendor@
642builddir = @builddir@
643datadir = @datadir@
644datarootdir = @datarootdir@
645
646# Install directories that automake doesn't know about
647docdir = $(exec_prefix)/doc
648dvidir = @dvidir@
649enable_shared = @enable_shared@
650enable_static = @enable_static@
651exec_prefix = @exec_prefix@
652fortran_linux_linker_option = @fortran_linux_linker_option@
653host = @host@
654host_alias = @host_alias@
655host_cpu = @host_cpu@
656host_os = @host_os@
657host_vendor = @host_vendor@
658htmldir = @htmldir@
659includedir = @includedir@
660infodir = @infodir@
661install_sh = @install_sh@
662libdir = @libdir@
663libexecdir = @libexecdir@
664localedir = @localedir@
665localstatedir = @localstatedir@
666mandir = @mandir@
667mkdir_p = @mkdir_p@
668oldincludedir = @oldincludedir@
669pdfdir = @pdfdir@
670prefix = @prefix@
671program_transform_name = @program_transform_name@
672psdir = @psdir@
673sbindir = @sbindir@
674sharedstatedir = @sharedstatedir@
675srcdir = @srcdir@
676sysconfdir = @sysconfdir@
677target_alias = @target_alias@
678top_build_prefix = @top_build_prefix@
679top_builddir = @top_builddir@
680top_srcdir = @top_srcdir@
681
682# Shell commands used in Makefiles
683RM = rm -f
684CP = cp
685
686# Some machines need a command to run executables; this is that command
687# so that our tests will run.
688# We use RUNEXEC instead of RUNSERIAL directly because it may be that
689# some tests need to be run with a different command.  Older versions
690# of the makefiles used the command
691# $(LIBTOOL) --mode=execute
692# in some directories, for instance.
693RUNEXEC = $(RUNSERIAL)
694
695# Libraries to link to while building
696LIBHDF5 = $(top_builddir)/src/libhdf5.la
697LIBH5TEST = $(top_builddir)/test/libh5test.la
698LIBH5F = $(top_builddir)/fortran/src/libhdf5_fortran.la
699LIBH5FTEST = $(top_builddir)/fortran/test/libh5test_fortran.la
700LIBH5CPP = $(top_builddir)/c++/src/libhdf5_cpp.la
701LIBH5JNI = $(top_builddir)/java/src/jni/libhdf5_java.la
702LIBH5TOOLS = $(top_builddir)/tools/lib/libh5tools.la
703LIBH5_HL = $(top_builddir)/hl/src/libhdf5_hl.la
704LIBH5F_HL = $(top_builddir)/hl/fortran/src/libhdf5hl_fortran.la
705LIBH5CPP_HL = $(top_builddir)/hl/c++/src/libhdf5_hl_cpp.la
706
707# Note that in svn revision 19400 the '/' after DESTDIR in H5* variables below
708# has been removed. According to the official description of DESTDIR by Gnu at
709# http://www.gnu.org/prep/standards/html_node/DESTDIR.html, DESTDIR is
710# prepended to the normal and complete install path that it precedes for the
711# purpose of installing in a temporary directory which is useful for building
712# rpms and other packages.  The '/' after ${DESTDIR} will be followed by another
713# '/' at the beginning of the normal install path.  When DESTDIR is empty the
714# path then begins with '//', which is incorrect and causes problems at least for
715# Cygwin.
716
717# Scripts used to build examples
718# If only shared libraries have been installed, have h5cc build examples with
719# shared libraries instead of static libraries
720H5CC = ${DESTDIR}$(bindir)/h5cc
721H5CC_PP = ${DESTDIR}$(bindir)/h5pcc
722H5FC = ${DESTDIR}$(bindir)/h5fc
723H5FC_PP = ${DESTDIR}$(bindir)/h5pfc
724H5CPP = ${DESTDIR}$(bindir)/h5c++
725ACLOCAL_AMFLAGS = "-I m4"
726
727# The trace script; this is used on source files from the C library to
728# insert tracing macros.
729TRACE = perl $(top_srcdir)/bin/trace
730
731# .chkexe files are used to mark tests that have run successfully.
732# .chklog files are output from those tests.
733# *.clog and *.clog2 are from the MPE option.
734
735# Temporary files from h5importtest
736CHECK_CLEANFILES = *.chkexe *.chklog *.clog *.clog2 *.bin
737
738# Test programs and scripts
739TEST_PROG = h5importtest
740TEST_SCRIPT = h5importtestutil.sh
741check_SCRIPT = $(TEST_SCRIPT)
742SCRIPT_DEPEND = ../../src/h5import/h5import$(EXEEXT)
743
744# All programs depend on the main hdf5 library and the tools library
745LDADD = $(LIBH5TOOLS) $(LIBHDF5)
746
747# Automake needs to be taught how to build lib, progs and tests targets.
748# These will be filled in automatically for the most part (e.g.,
749# lib_LIBRARIES are built for lib target), but EXTRA_LIB, EXTRA_PROG, and
750# EXTRA_TEST variables are supplied to allow the user to force targets to
751# be built at certain times.
752LIB = $(lib_LIBRARIES) $(lib_LTLIBRARIES) $(noinst_LIBRARIES)                 \
753      $(noinst_LTLIBRARIES) $(check_LIBRARIES) $(check_LTLIBRARIES) $(EXTRA_LIB)
754
755PROGS = $(bin_PROGRAMS) $(bin_SCRIPTS) $(noinst_PROGRAMS) $(noinst_SCRIPTS)   \
756        $(EXTRA_PROG)
757
758chk_TESTS = $(check_PROGRAMS) $(check_SCRIPTS) $(EXTRA_TEST)
759TEST_EXTENSIONS = .sh
760SH_LOG_COMPILER = $(SHELL)
761AM_SH_LOG_FLAGS =
762REALTIMEOUTPUT = $(realtimeOutput)
763TEST_PROG_CHKEXE = $(TEST_PROG:=.chkexe_)
764TEST_PROG_PARA_CHKEXE = $(TEST_PROG_PARA:=.chkexe_)
765TEST_SCRIPT_CHKSH = $(TEST_SCRIPT:=.chkexe_)
766TEST_SCRIPT_PARA_CHKSH = $(TEST_SCRIPT_PARA:=.chkexe_)
767all: all-am
768
769.SUFFIXES:
770.SUFFIXES: .c .lo .log .o .obj .sh .sh$(EXEEXT) .trs
771$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/config/commence.am $(top_srcdir)/config/conclude.am $(am__configure_deps)
772	@for dep in $?; do \
773	  case '$(am__configure_deps)' in \
774	    *$$dep*) \
775	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
776	        && { if test -f $@; then exit 0; else break; fi; }; \
777	      exit 1;; \
778	  esac; \
779	done; \
780	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tools/test/h5import/Makefile'; \
781	$(am__cd) $(top_srcdir) && \
782	  $(AUTOMAKE) --foreign tools/test/h5import/Makefile
783Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
784	@case '$?' in \
785	  *config.status*) \
786	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
787	  *) \
788	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
789	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
790	esac;
791$(top_srcdir)/config/commence.am $(top_srcdir)/config/conclude.am $(am__empty):
792
793$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
794	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
795
796$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
797	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
798$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
799	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
800$(am__aclocal_m4_deps):
801h5importtestutil.sh: $(top_builddir)/config.status $(srcdir)/h5importtestutil.sh.in
802	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
803
804clean-checkPROGRAMS:
805	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
806	echo " rm -f" $$list; \
807	rm -f $$list || exit $$?; \
808	test -n "$(EXEEXT)" || exit 0; \
809	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
810	echo " rm -f" $$list; \
811	rm -f $$list
812
813h5importtest$(EXEEXT): $(h5importtest_OBJECTS) $(h5importtest_DEPENDENCIES) $(EXTRA_h5importtest_DEPENDENCIES)
814	@rm -f h5importtest$(EXEEXT)
815	$(AM_V_CCLD)$(LINK) $(h5importtest_OBJECTS) $(h5importtest_LDADD) $(LIBS)
816
817mostlyclean-compile:
818	-rm -f *.$(OBJEXT)
819
820distclean-compile:
821	-rm -f *.tab.c
822
823@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/h5importtest.Po@am__quote@
824
825.c.o:
826@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
827@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
828@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
829@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
830@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
831@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
832
833.c.obj:
834@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
835@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
836@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
837@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
838@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
839@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
840
841.c.lo:
842@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
843@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
844@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
845@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
846@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
847@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
848
849mostlyclean-libtool:
850	-rm -f *.lo
851
852clean-libtool:
853	-rm -rf .libs _libs
854
855ID: $(am__tagged_files)
856	$(am__define_uniq_tagged_files); mkid -fID $$unique
857tags: tags-am
858TAGS: tags
859
860tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
861	set x; \
862	here=`pwd`; \
863	$(am__define_uniq_tagged_files); \
864	shift; \
865	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
866	  test -n "$$unique" || unique=$$empty_fix; \
867	  if test $$# -gt 0; then \
868	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
869	      "$$@" $$unique; \
870	  else \
871	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
872	      $$unique; \
873	  fi; \
874	fi
875ctags: ctags-am
876
877CTAGS: ctags
878ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
879	$(am__define_uniq_tagged_files); \
880	test -z "$(CTAGS_ARGS)$$unique" \
881	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
882	     $$unique
883
884GTAGS:
885	here=`$(am__cd) $(top_builddir) && pwd` \
886	  && $(am__cd) $(top_srcdir) \
887	  && gtags -i $(GTAGS_ARGS) "$$here"
888cscopelist: cscopelist-am
889
890cscopelist-am: $(am__tagged_files)
891	list='$(am__tagged_files)'; \
892	case "$(srcdir)" in \
893	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
894	  *) sdir=$(subdir)/$(srcdir) ;; \
895	esac; \
896	for i in $$list; do \
897	  if test -f "$$i"; then \
898	    echo "$(subdir)/$$i"; \
899	  else \
900	    echo "$$sdir/$$i"; \
901	  fi; \
902	done >> $(top_builddir)/cscope.files
903
904distclean-tags:
905	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
906
907# Recover from deleted '.trs' file; this should ensure that
908# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
909# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
910# to avoid problems with "make -n".
911.log.trs:
912	rm -f $< $@
913	$(MAKE) $(AM_MAKEFLAGS) $<
914
915# Leading 'am--fnord' is there to ensure the list of targets does not
916# expand to empty, as could happen e.g. with make check TESTS=''.
917am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
918am--force-recheck:
919	@:
920
921$(TEST_SUITE_LOG): $(TEST_LOGS)
922	@$(am__set_TESTS_bases); \
923	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
924	redo_bases=`for i in $$bases; do \
925	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
926	            done`; \
927	if test -n "$$redo_bases"; then \
928	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
929	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
930	  if $(am__make_dryrun); then :; else \
931	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
932	  fi; \
933	fi; \
934	if test -n "$$am__remaking_logs"; then \
935	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
936	       "recursion detected" >&2; \
937	elif test -n "$$redo_logs"; then \
938	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
939	fi; \
940	if $(am__make_dryrun); then :; else \
941	  st=0;  \
942	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
943	  for i in $$redo_bases; do \
944	    test -f $$i.trs && test -r $$i.trs \
945	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
946	    test -f $$i.log && test -r $$i.log \
947	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
948	  done; \
949	  test $$st -eq 0 || exit 1; \
950	fi
951	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
952	ws='[ 	]'; \
953	results=`for b in $$bases; do echo $$b.trs; done`; \
954	test -n "$$results" || results=/dev/null; \
955	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
956	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
957	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
958	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
959	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
960	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
961	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
962	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
963	  success=true; \
964	else \
965	  success=false; \
966	fi; \
967	br='==================='; br=$$br$$br$$br$$br; \
968	result_count () \
969	{ \
970	    if test x"$$1" = x"--maybe-color"; then \
971	      maybe_colorize=yes; \
972	    elif test x"$$1" = x"--no-color"; then \
973	      maybe_colorize=no; \
974	    else \
975	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
976	    fi; \
977	    shift; \
978	    desc=$$1 count=$$2; \
979	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
980	      color_start=$$3 color_end=$$std; \
981	    else \
982	      color_start= color_end=; \
983	    fi; \
984	    echo "$${color_start}# $$desc $$count$${color_end}"; \
985	}; \
986	create_testsuite_report () \
987	{ \
988	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
989	  result_count $$1 "PASS: " $$pass  "$$grn"; \
990	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
991	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
992	  result_count $$1 "FAIL: " $$fail  "$$red"; \
993	  result_count $$1 "XPASS:" $$xpass "$$red"; \
994	  result_count $$1 "ERROR:" $$error "$$mgn"; \
995	}; \
996	{								\
997	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
998	    $(am__rst_title);						\
999	  create_testsuite_report --no-color;				\
1000	  echo;								\
1001	  echo ".. contents:: :depth: 2";				\
1002	  echo;								\
1003	  for b in $$bases; do echo $$b; done				\
1004	    | $(am__create_global_log);					\
1005	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1006	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1007	if $$success; then						\
1008	  col="$$grn";							\
1009	 else								\
1010	  col="$$red";							\
1011	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1012	fi;								\
1013	echo "$${col}$$br$${std}"; 					\
1014	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1015	echo "$${col}$$br$${std}"; 					\
1016	create_testsuite_report --maybe-color;				\
1017	echo "$$col$$br$$std";						\
1018	if $$success; then :; else					\
1019	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1020	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1021	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1022	  fi;								\
1023	  echo "$$col$$br$$std";					\
1024	fi;								\
1025	$$success || exit 1
1026recheck: all $(check_PROGRAMS)
1027	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1028	@set +e; $(am__set_TESTS_bases); \
1029	bases=`for i in $$bases; do echo $$i; done \
1030	         | $(am__list_recheck_tests)` || exit 1; \
1031	log_list=`for i in $$bases; do echo $$i.log; done`; \
1032	log_list=`echo $$log_list`; \
1033	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1034	        am__force_recheck=am--force-recheck \
1035	        TEST_LOGS="$$log_list"; \
1036	exit $$?
1037h5importtest.log: h5importtest$(EXEEXT)
1038	@p='h5importtest$(EXEEXT)'; \
1039	b='h5importtest'; \
1040	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1041	--log-file $$b.log --trs-file $$b.trs \
1042	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1043	"$$tst" $(AM_TESTS_FD_REDIRECT)
1044.sh.log:
1045	@p='$<'; \
1046	$(am__set_b); \
1047	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1048	--log-file $$b.log --trs-file $$b.trs \
1049	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1050	"$$tst" $(AM_TESTS_FD_REDIRECT)
1051@am__EXEEXT_TRUE@.sh$(EXEEXT).log:
1052@am__EXEEXT_TRUE@	@p='$<'; \
1053@am__EXEEXT_TRUE@	$(am__set_b); \
1054@am__EXEEXT_TRUE@	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1055@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1056@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1057@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1058
1059distdir: $(DISTFILES)
1060	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1061	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1062	list='$(DISTFILES)'; \
1063	  dist_files=`for file in $$list; do echo $$file; done | \
1064	  sed -e "s|^$$srcdirstrip/||;t" \
1065	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1066	case $$dist_files in \
1067	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1068			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1069			   sort -u` ;; \
1070	esac; \
1071	for file in $$dist_files; do \
1072	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1073	  if test -d $$d/$$file; then \
1074	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1075	    if test -d "$(distdir)/$$file"; then \
1076	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1077	    fi; \
1078	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1079	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1080	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1081	    fi; \
1082	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1083	  else \
1084	    test -f "$(distdir)/$$file" \
1085	    || cp -p $$d/$$file "$(distdir)/$$file" \
1086	    || exit 1; \
1087	  fi; \
1088	done
1089check-am: all-am
1090	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1091	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1092check: check-am
1093all-am: Makefile all-local
1094installdirs:
1095install: install-am
1096install-exec: install-exec-am
1097install-data: install-data-am
1098uninstall: uninstall-am
1099
1100install-am: all-am
1101	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1102
1103installcheck: installcheck-am
1104install-strip:
1105	if test -z '$(STRIP)'; then \
1106	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1107	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1108	      install; \
1109	else \
1110	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1111	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1112	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1113	fi
1114mostlyclean-generic:
1115	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1116	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1117	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1118
1119clean-generic:
1120
1121distclean-generic:
1122	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1123	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1124
1125maintainer-clean-generic:
1126	@echo "This command is intended for maintainers to use"
1127	@echo "it deletes files that may require special tools to rebuild."
1128clean: clean-am
1129
1130clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1131	mostlyclean-am
1132
1133distclean: distclean-am
1134	-rm -rf ./$(DEPDIR)
1135	-rm -f Makefile
1136distclean-am: clean-am distclean-compile distclean-generic \
1137	distclean-tags
1138
1139dvi: dvi-am
1140
1141dvi-am:
1142
1143html: html-am
1144
1145html-am:
1146
1147info: info-am
1148
1149info-am:
1150
1151install-data-am:
1152
1153install-dvi: install-dvi-am
1154
1155install-dvi-am:
1156
1157install-exec-am:
1158
1159install-html: install-html-am
1160
1161install-html-am:
1162
1163install-info: install-info-am
1164
1165install-info-am:
1166
1167install-man:
1168
1169install-pdf: install-pdf-am
1170
1171install-pdf-am:
1172
1173install-ps: install-ps-am
1174
1175install-ps-am:
1176
1177installcheck-am:
1178
1179maintainer-clean: maintainer-clean-am
1180	-rm -rf ./$(DEPDIR)
1181	-rm -f Makefile
1182maintainer-clean-am: distclean-am maintainer-clean-generic
1183
1184mostlyclean: mostlyclean-am
1185
1186mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1187	mostlyclean-libtool mostlyclean-local
1188
1189pdf: pdf-am
1190
1191pdf-am:
1192
1193ps: ps-am
1194
1195ps-am:
1196
1197uninstall-am:
1198
1199.MAKE: check-am install-am install-strip
1200
1201.PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
1202	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
1203	cscopelist-am ctags ctags-am distclean distclean-compile \
1204	distclean-generic distclean-libtool distclean-tags distdir dvi \
1205	dvi-am html html-am info info-am install install-am \
1206	install-data install-data-am install-dvi install-dvi-am \
1207	install-exec install-exec-am install-html install-html-am \
1208	install-info install-info-am install-man install-pdf \
1209	install-pdf-am install-ps install-ps-am install-strip \
1210	installcheck installcheck-am installdirs maintainer-clean \
1211	maintainer-clean-generic mostlyclean mostlyclean-compile \
1212	mostlyclean-generic mostlyclean-libtool mostlyclean-local pdf \
1213	pdf-am ps ps-am recheck tags tags-am uninstall uninstall-am
1214
1215.PRECIOUS: Makefile
1216
1217
1218# List all build rules defined by HDF5 Makefiles as "PHONY" targets here.
1219# This tells the Makefiles that these targets are not files to be built but
1220# commands that should be executed even if a file with the same name already
1221# exists.
1222.PHONY: build-check-clean build-check-p build-check-s build-lib build-progs \
1223        build-tests check-clean check-install check-p check-s check-vfd \
1224        install-doc lib progs tests uninstall-doc _exec_check-s _test help
1225
1226help:
1227	@$(top_srcdir)/bin/makehelp
1228
1229# lib/progs/tests targets recurse into subdirectories. build-* targets
1230# build files in this directory.
1231build-lib: $(LIB)
1232build-progs: $(LIB) $(PROGS)
1233build-tests: $(LIB) $(PROGS) $(chk_TESTS)
1234
1235# General rule for recursive building targets.
1236# BUILT_SOURCES contain targets that need to be built before anything else
1237# in the directory (e.g., for Fortran type detection)
1238lib progs tests check-s check-p :: $(BUILT_SOURCES)
1239	@$(MAKE) $(AM_MAKEFLAGS) build-$@ || exit 1;
1240	@for d in X $(SUBDIRS); do                                             \
1241	    if test $$d != X && test $$d != .; then                           \
1242	        (set -x; cd $$d && $(MAKE) $(AM_MAKEFLAGS) $@) || exit 1;     \
1243	    fi;                                                               \
1244	done
1245
1246# General rule for recursive cleaning targets.  Like the rule above,
1247# but doesn't require building BUILT_SOURCES.
1248check-clean ::
1249	@$(MAKE) $(AM_MAKEFLAGS) build-$@ || exit 1;
1250	@for d in X $(SUBDIRS); do                                             \
1251	    if test $$d != X && test $$d != .; then                           \
1252	        (set -x; cd $$d && $(MAKE) $(AM_MAKEFLAGS) $@) || exit 1;     \
1253	    fi;                                                               \
1254	done
1255
1256# Tell Automake to build tests when the user types `make all' (this is
1257# not its default behavior).  Also build EXTRA_LIB and EXTRA_PROG since
1258# Automake won't build them automatically, either.
1259all-local: $(EXTRA_LIB) $(EXTRA_PROG) $(chk_TESTS)
1260
1261# make install-doc doesn't do anything outside of doc directory, but
1262# Makefiles should recognize it.
1263# UPDATE: docs no longer reside in this build tree, so this target
1264# is deprecated.
1265install-doc uninstall-doc:
1266	@echo "Nothing to be done."
1267
1268# clean up files generated by tests so they can be re-run.
1269build-check-clean:
1270	$(RM) -rf $(CHECK_CLEANFILES)
1271
1272# run check-clean whenever mostlyclean is run
1273mostlyclean-local: build-check-clean
1274
1275# check-install is just a synonym for installcheck
1276check-install: installcheck
1277
1278# Run each test in order, passing $(TEST_FLAGS) to the program.
1279# Since tests are done in a shell loop, "make -i" does apply inside it.
1280# Set HDF5_Make_Ignore to a non-blank string to ignore errors inside the loop.
1281# The timestamps give a rough idea how much time the tests use.
1282#
1283# Note that targets in chk_TESTS (defined above) will be built when the user
1284# types 'make tests' or 'make check', but only programs in TEST_PROG,
1285# TEST_PROG_PARA, or TEST_SCRIPT will actually be executed.
1286check-TESTS: test
1287
1288test _test:
1289	@$(MAKE) build-check-s
1290	@$(MAKE) build-check-p
1291
1292# Actual execution of check-s.
1293build-check-s: $(LIB) $(PROGS) $(chk_TESTS)
1294	@if test -n "$(TEST_PROG)$(TEST_SCRIPT)"; then      \
1295	   echo "===Serial tests in `echo ${PWD} | sed -e s:.*/::` begin `date`==="; \
1296	fi
1297	@$(MAKE) $(AM_MAKEFLAGS) _exec_check-s
1298	@if test -n "$(TEST_PROG)$(TEST_SCRIPT)"; then      \
1299	    echo "===Serial tests in `echo ${PWD} | sed -e s:.*/::` ended `date`===";\
1300	fi
1301
1302_exec_check-s: $(TEST_PROG_CHKEXE) $(TEST_SCRIPT_CHKSH)
1303
1304# The dummy.chkexe here prevents the target from being
1305# empty if there are no tests in the current directory.
1306# $${log} is the log file.
1307# $${tname} is the name of test.
1308$(TEST_PROG_CHKEXE) $(TEST_PROG_PARA_CHKEXE) dummy.chkexe_:
1309	@if test "X$@" != "X.chkexe_" && test "X$@" != "Xdummy.chkexe_"; then \
1310	   tname=$(@:.chkexe_=)$(EXEEXT);\
1311	   log=$(@:.chkexe_=.chklog); \
1312	   echo "============================"; \
1313	   if $(top_srcdir)/bin/newer $(@:.chkexe_=.chkexe) $${tname}; then \
1314	      echo "No need to test $${tname} again."; \
1315	   else \
1316              if test -n "$(REALTIMEOUTPUT)"; then \
1317                 echo "============================" | tee $${log}; \
1318              else \
1319                 echo "============================" > $${log}; \
1320              fi; \
1321              if test "X$(FORTRAN_API)" = "Xyes"; then \
1322                 echo "Fortran API: Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1323                 if test -n "$(REALTIMEOUTPUT)"; then \
1324                    echo "Fortran API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log}; \
1325                 else \
1326                    echo "Fortran API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1327                 fi; \
1328              elif test "X$(CXX_API)" = "Xyes"; then \
1329                 echo "C++ API: Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1330                 if test -n "$(REALTIMEOUTPUT)"; then \
1331                    echo "C++ API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log};\
1332                 else \
1333                    echo "C++ API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log};\
1334                 fi; \
1335              else \
1336                 echo "Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1337                 if test -n "$(REALTIMEOUTPUT)"; then \
1338                    echo "$(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log}; \
1339                 else \
1340                    echo "$(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1341                 fi; \
1342              fi; \
1343              if test -n "$(REALTIMEOUTPUT)"; then \
1344                 echo "============================" | tee -a $${log}; \
1345              else \
1346                 echo "============================" >> $${log}; \
1347              fi; \
1348              if test -n "$(REALTIMEOUTPUT)"; then \
1349                 srcdir="$(srcdir)" \
1350                 $(TIME) $(RUNEXEC) ./$${tname} $(TEST_FLAGS) | tee -a $${log} 2>&1 \
1351                 && touch $(@:.chkexe_=.chkexe) || \
1352                 (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1353                 (cat $${log} && false) || exit 1; \
1354              else \
1355                 srcdir="$(srcdir)" \
1356                 $(TIME) $(RUNEXEC) ./$${tname} $(TEST_FLAGS) >> $${log} 2>&1 \
1357                 && touch $(@:.chkexe_=.chkexe) || \
1358                 (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1359                 (cat $${log} && false) || exit 1; \
1360              fi; \
1361	      echo "" >> $${log}; \
1362              if test -n "$(REALTIMEOUTPUT)"; then \
1363                 echo "Finished testing $${tname} $(TEST_FLAGS)" | tee -a $${log}; \
1364                 echo "============================" | tee -a $${log}; \
1365              else \
1366                 echo "Finished testing $${tname} $(TEST_FLAGS)" >> $${log}; \
1367                 echo "============================" >> $${log}; \
1368              fi; \
1369              if test -z "$(REALTIMEOUTPUT)"; then \
1370                 cat $${log}; \
1371              fi; \
1372	   fi; \
1373	fi
1374
1375# The dummysh.chkexe here prevents the target from being
1376# empty if there are no tests in the current directory.
1377# $${log} is the log file.
1378# $${tname} is the name of test.
1379$(TEST_SCRIPT_CHKSH) $(TEST_SCRIPT_PARA_CHKSH) dummysh.chkexe_:
1380	@if test "X$@" != "X.chkexe_" && test "X$@" != "Xdummysh.chkexe_"; then \
1381	   cmd=$(@:.chkexe_=);\
1382	   tname=`basename $$cmd`;\
1383	   chkname=`basename $(@:.chkexe_=.chkexe)`;\
1384	   log=`basename $(@:.chkexe_=.chklog)`; \
1385	   echo "============================"; \
1386	   if $(top_srcdir)/bin/newer $${chkname} $$cmd $(SCRIPT_DEPEND); then \
1387	      echo "No need to test $${tname} again."; \
1388	   else \
1389	      echo "============================" > $${log}; \
1390	      if test "X$(FORTRAN_API)" = "Xyes"; then \
1391	         echo "Fortran API: Testing $${tname} $(TEST_FLAGS)"; \
1392	         echo "Fortran API: $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1393	      elif test "X$(CXX_API)" = "Xyes"; then \
1394	         echo "C++ API: Testing $${tname} $(TEST_FLAGS)"; \
1395	         echo "C++ API: $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1396	      else \
1397	         echo "Testing $${tname} $(TEST_FLAGS)"; \
1398	         echo "$${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1399	      fi; \
1400	      echo "============================" >> $${log}; \
1401	      RUNSERIAL="$(RUNSERIAL)" RUNPARALLEL="$(RUNPARALLEL)"           \
1402	      srcdir="$(srcdir)" \
1403	         $(TIME) $(SHELL) $$cmd $(TEST_FLAGS) >> $${log} 2>&1 \
1404	         && touch $${chkname} || \
1405	         (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1406	         (cat $${log} && false) || exit 1; \
1407	      echo "" >> $${log}; \
1408	      echo "Finished testing $${tname} $(TEST_FLAGS)" >> $${log}; \
1409	      echo "============================" >> $${log}; \
1410	      echo "Finished testing $${tname} $(TEST_FLAGS)"; \
1411	      cat $${log}; \
1412	   fi; \
1413	   echo "============================"; \
1414	fi
1415
1416# Actual execution of check-p.
1417build-check-p: $(LIB) $(PROGS) $(chk_TESTS)
1418	@if test -n "$(TEST_PROG_PARA)$(TEST_SCRIPT_PARA)"; then      \
1419	   echo "===Parallel tests in `echo ${PWD} | sed -e s:.*/::` begin `date`==="; \
1420	fi
1421	@if test -n "$(TEST_PROG_PARA)"; then                                \
1422	    echo "**** Hint ****";                                            \
1423	    echo "Parallel test files reside in the current directory"        \
1424	         "by default.";                                               \
1425	    echo "Set HDF5_PARAPREFIX to use another directory. e.g.,";       \
1426	    echo "    HDF5_PARAPREFIX=/PFS/user/me";                          \
1427	    echo "    export HDF5_PARAPREFIX";                                \
1428	    echo "    make check";                                            \
1429	    echo "**** end of Hint ****";                                     \
1430	fi
1431	@for test in $(TEST_PROG_PARA) dummy; do                             \
1432	   if test $$test != dummy; then                                      \
1433	      $(MAKE) $(AM_MAKEFLAGS) $$test.chkexe_ \
1434	      RUNEXEC="$(RUNPARALLEL)" || exit 1; \
1435	   fi;                                                                \
1436	done
1437	@for test in $(TEST_SCRIPT_PARA) dummy; do                           \
1438	  if test $$test != dummy; then                                      \
1439	    $(MAKE) $(AM_MAKEFLAGS) $$test.chkexe_ || exit 1; \
1440	  fi;                                                                 \
1441	done
1442	@if test -n "$(TEST_PROG_PARA)$(TEST_SCRIPT_PARA)"; then      \
1443	    echo "===Parallel tests in `echo ${PWD} | sed -e s:.*/::` ended `date`===";\
1444	fi
1445
1446# Run test with different Virtual File Driver
1447check-vfd: $(LIB) $(PROGS) $(chk_TESTS)
1448	@for vfd in $(VFD_LIST) dummy; do                                     \
1449	    if test $$vfd != dummy; then                                      \
1450	        echo "============================";                          \
1451	        echo "Testing Virtual File Driver $$vfd";                     \
1452	        echo "============================";                          \
1453	        $(MAKE) $(AM_MAKEFLAGS) check-clean || exit 1;                \
1454	        HDF5_DRIVER=$$vfd $(MAKE) $(AM_MAKEFLAGS) check || exit 1;    \
1455	    fi;                                                               \
1456	done
1457
1458# Tell versions [3.59,3.63) of GNU make to not export all variables.
1459# Otherwise a system limit (for SysV at least) may be exceeded.
1460.NOEXPORT:
1461